config/routes.rb
require 'sidekiq/web'
require 'sidekiq/cron/web'

Rails.application.routes.draw do
  root 'pages#index'
  post 'send' => 'pages#create'
  get 'about' => 'pages#about'

  get 'gallery' => 'images#index'
  resources :images, except: [:index]

  resources :messages, except: [:show]
  get 'message' => 'messages#show', as: :show_message

  resources :slides, except: [:show]
  resources :announcements, :path => 'ans'
  resources :subscribers, only: [:create]
  get 'subs/:id' => 'subscribers#destroy', as: :subs_destroy

  get 'hashmin/login' => 'sessions#new', as: :login
  post 'hashmin/login' => 'sessions#create'
  get 'hashmin/logout' => 'sessions#destroy', as: :logout
  get 'hashmin/:id' => 'admins#index', as: :admin
  resources :admins, except: [:show], path: 'hashmin'

  resources :password_resets, only: [:new, :create, :edit, :update]

  mount Sidekiq::Web => '/sidekiq'

end

app/views/pages/about.html.haml
#pastor.cf
  #left
    %img{:alt => "Pastor J.S Ajulo", :src => "/img/Pastor.jpg"}/
    %p.name
      Pastor J.S Ajulo
  #right
    %p.quote
      A man totally called to preach the gospel  of our Lord and Saviour  Jesus Christ. This he does through sound and undiluted teaching of the Word with prophetic manifestations of the Spirits power.
    %p.main
      Pastor J.S Ajulo has been a consistent preacher and teacher of the word of God for the past 40 years. He has been used by God to spread the gospel, not only in Africa, but also across the world. As an experienced Minister of the Gospel and a pioneer in several moves of the Holy Spirit, he has become a father and mentor to many Christians today.
      %br/
      As an anointed minister, scholar and Bible teacher, he has a passion to see Christians live in constant victory in their spiritual lives and all other aspects of their existence, and ministers healing and deliverance to the body of Christ.
      %br/
      He is a Pharmacy graduate of the University of Ife (now Obafemi Awolowo University), and a Masters Degree holder from the West Africa Theological Seminary (affiliated to the University of Nigeria, Nsuka).
      %br/
      He is the General Overseer of the Bible Believers Church Ministries whose headquarters is in Lagos Nigeria. Pastor Ajulo is a father of three children.

.row
  #vision
    %h3
      Our Vision
      %br/
      %span To prepare men and women for the kingdom of God
  #motto
    %h3
      Our Motto
      %br/
      %span
        "For God so loved the world, that he gave his only begotten Son, that whosoever believeth on him should not perish, but have eternal life."
        %br/
        %i - John 3 : 16
#mission
  %h3
    Our Mission Statement
  %span
    We preach Christ, his birth, his baptism, his works, his teachings, his crucification, his resurrection, his ascension, his second coming, his millennial reign, his white throne judgment, the new heaven and the new earth. He shall put all enemies under his feet and shall reign eternally and we shall abide with him forever and ever

app/views/pages/contact.html.haml
#address
  %h3
    Come visit us anytime.
    %br/
    %span
      We're always available.
      %br>/
      No. 28 Owokoniran street, Surulere, Lagos.
#socialsCont
  %h3 Find us on:
  #socials
    %a{:href => "https://www.facebook.com/Thebbcm-1772707156285316/", :target => "_blank"}
      %img.social{:alt => "Facebook", :src => "/img/Facebook.png"}/
      %span TheBBCM
    %a{:href => "https://twitter.com/bbcm_church", :target => "_blank"}
      %img.social{:alt => "Twitter", :src => "/img/Twitter.png"}/
      %span @BBCM_church
    %a{:href => "#"}
      %img.social{:alt => "Google Plus", :src => "/img/GooglePlus.png"}/
      %span BBCM church
= form_for(:pages, url: send_path) do |f|
  %h3 Have something to say?
  %p
    Send us an email with your questions, requests or prayer points and we'll be sure to get back to you
    %br/
    thebbcm@gmail.com
  #create.cf
  .field
    = f.label :sender, "Name"
    = f.text_field :sender
  .field
    = f.label :email
    = f.email_field :email
  .field
    = f.label :title
    = f.text_field :title
  .field
    = f.label :content
    = f.text_area :content
  = f.submit "Send email"

app/views/pages/index.html.haml
#slideCont
  = render @slides
  #snoCont
    #slides

#about
  %h3
    Welcome
  %span We preach Christ, his birth, his baptism, his works, his teachings, his crucification, his resurrection, his ascension, his second coming, his millennial reign, his white throne judgment, the new heaven and the new earth. He shall put all enemies under his feet and shall reign eternally and we shall abide with him forever and ever
  = link_to 'Learn more about us', about_path, class: 'linkBtn'

.medias.black
  %h3 Our messages
  .mediasCont.cf
    - @messages.each do |message|
      = link_to render(message), show_message_path(:id => message), style: "background-image: url(#{message.poster.thumb.url})", class: 'medias'
  = link_to "View All Messages", messages_path, class: 'linkBtn'

#serviceCont.cf
  %h3 Our services
  .service{:style => "background-image: url(/img/worship.jpg);"}
    %h3
      Come worship with us.
      %br/
      %span
        Every Sunday @9:00am.
        %br>/
        No. 28 Owokoniran street, Surulere, Lagos.
  .service{:style => "background-image: url(/img/prayer.jpg);"}
    %h3
      Workers Prayer Meeting
      %br/
      %span
        Join us Sunday @7:30am for an uplifting prayer session.
        %br>/
        No. 28 Owokoniran street, Surulere, Lagos.
  .service{:style => "background-image: url(/img/school.jpg);"}
    %h3
      Learn about GOD
      %br/
      %span
        Join us every Sunday @8:00am for the Sunday School
        %br>/
        No. 28 Owokoniran street, Surulere, Lagos.
  .service{:style => "background-image: url(/img/teaching.jpg);"}
    %h3
      Teaching and Deliverance
      %br/
      %span
        Tuesdays @5:30pm come and receive GOD's word for you.
        %br>/
        No. 28 Owokoniran street, Surulere, Lagos.

.medias.black
  %h3 Our gallery
  .mediasCont.cf
    - @images.each do |image|
      = link_to render(image), image, style: "background-image: url(#{image.image.thumb.url})", class: 'medias'
  = link_to "View Our Gallery", gallery_path, class: 'linkBtn'


#sub.cf
  = render 'subscribers/form'